package com.inspect.system.mapper;

import com.inspect.system.base.domain.SysDictType;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface SysDictTypeMapper {
    List<SysDictType> selectDictTypeList(SysDictType sysDictType);

    List<SysDictType> selectDictTypeAll();

    SysDictType selectDictTypeById(Long id);

    SysDictType selectDictTypeByType(String type);

    int deleteDictTypeById(Long id);

    int deleteDictTypeByIds(Long[] ids);

    int insertDictType(SysDictType sysDictType);

    int updateDictType(SysDictType sysDictType);

    SysDictType checkDictTypeUnique(String dictType);
}
